## org.apache.poi.ss.formula.functions
Class Errortype

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed1ArgFunction
          org.apache.poi.ss.formula.functions.Errortype

All Implemented Interfaces:
  Function, Function1Arg

    public final class Errortype

extends Fixed1ArgFunction

Implementation for the ERROR.TYPE() Excel function.

Syntax:
ERROR.TYPE(errorValue)

Returns a number corresponding to the error type of the supplied argument.

errorValue | Return Value
#NULL! | 1
#DIV/0! | 2
#VALUE! | 3
#REF! | 4
#NAME? | 5
#NUM! | 6
#N/A! | 7
everything else | #N/A!

Note - the results of ERROR.TYPE() are different to the constants defined in `ErrorConstants`.

Author:
  Josh Micich

Constructor Summary
`Errortype()`

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed1ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Errortype

    public Errortype()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0)

  Description copied from interface: `Function1Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.